//
//  MXChatCategory.h
//  ChatSDK
//
//  Copyright © 2016 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 The MXChatCategory class provides interfaces for basic information about chat catogories.
 */
@interface MXChatCategory : NSObject

/**
 The category name
 */
@property (nonatomic, strong, readonly, nullable) NSString *name;

/**
 The category id
 */
@property (nonatomic, assign, readonly) NSString *categoryId;

/**
 A boolean value indicating whether this category is the default one.
 */
@property (nonatomic, assign, readonly) BOOL isDefault;

@end

NS_ASSUME_NONNULL_END
