//
//  MXChatSDK.h
//  ChatSDK
//
//  Copyright © 2016 moxtra. All rights reserved.
//

#ifndef ChatSDKHeader
#define ChatSDKHeader

#import <ChatSDK/MXChatClient.h>
#import <ChatSDK/MXChatSDKError.h>
#import <ChatSDK/MXChatConfig.h>
#import <ChatSDK/MXMeetConfig.h>

#import <ChatSDK/MXChatListModel.h>
#import <ChatSDK/MXMeetListModel.h>
#import <ChatSDK/MXUserListModel.h>

#import <ChatSDK/MXChat.h>
#import <ChatSDK/MXMeet.h>
#import <ChatSDK/MXUserItem.h>
#import <ChatSDK/MXChatMember.h>
#import <ChatSDK/MXTodoItem.h>
#import <ChatSDK/MXFileItem.h>
#import <ChatSDK/MXFolderItem.h>
#import <ChatSDK/MXSignFileItem.h>
#import <ChatSDK/MXChatCategory.h>
#import <ChatSDK/MXMeetParticipant.h>

#import <ChatSDK/MXChatSession.h>
#import <ChatSDK/MXMeetSession.h>

#import <ChatSDK/MXChatViewController.h>
#import <ChatSDK/MXTodoViewController.h>
#import <ChatSDK/MXGlobalSearchViewController.h>
#import <ChatSDK/MXMentionsViewController.h>
#import <ChatSDK/MXMyTodosViewController.h>
#import <ChatSDK/MXFavoritesViewController.h>
#import <ChatSDK/MXFileViewController.h>
#import <ChatSDK/MXSignFileViewController.h>
#import <ChatSDK/MXChatSearchViewController.h>

#import <ChatSDK/MXToolkit.h>
#import <ChatSDK/MXAddFileEntry.h>
#import <ChatSDK/MXAuditEvent.h>
#import <ChatSDK/MXLinkConfig.h>
#import <ChatSDK/MXChatTab.h>
#import <ChatSDK/MXTransactionData.h>
#import <ChatSDK/MXAppearanceManager.h>
#import <ChatSDK/MXChatAppearance.h>
#import <ChatSDK/MXMeetAppearance.h>

#define MX_DEPRECATED_WILL_BE_REMOVED_IN(VERSION) __attribute__((deprecated("This method has been deprecated and will be removed in Moxtra ChatSDK " VERSION ".")))
#define MX_DEPRECATED_WILL_BE_REMOVED_IN_PLEASE_USE(VERSION, METHOD) __attribute__((deprecated("This method has been deprecated and will be removed in Moxtra ChatSDK " VERSION ". Please use `" METHOD "` instead.")))

#endif
