//
//  MXFavoritesViewController.h
//  ChatSDK
//
//  Created by Moxtra on 2017/11/15.
//  Copyright © 2017年 moxtra. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class MXChat;

/**
 The MXMentionsViewController class provides UI components for favorite feeds
 */
@interface MXFavoritesViewController : UIViewController

/**
 Called when a feed is tapped.
 @discussion Parameter 'favorite' in block can be regarded as a feed object which can only be used in scrollToFeed: method in MXChatController for now.
 */
@property (nonatomic, copy, nullable) void (^didTapFavorite)(MXChat *chat, id sender, id favorite);

@end

NS_ASSUME_NONNULL_END
