//
//  MXGlobalSearchViewController.h
//  ChatSDK
//
//  Copyright © 2016 moxtra. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class MXChat;

/**
 The MXGlobalSearchViewController class provides UI components for global search.
 */
@interface MXGlobalSearchViewController : UIViewController

/**
 Called when a feed is tapped.
 */
@property (nonatomic, copy, nullable) void (^didTapFeed)(MXChat *chat, id sender ,id feed);

/**
 Called when the cancel button is tapped.
 */
@property (nonatomic, copy, nullable) void (^didTapCancel)(id sender);

@end

NS_ASSUME_NONNULL_END
