//
//  MXChatTab.h
//  ChatSDK
//
//  Created by Moxtra on 2018/4/16.
//  Copyright © 2018 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface MXChatTab : NSObject

/**
 Tab's title
 */
@property (nonatomic, copy) NSString *title;

/**
 Tab's view controller 
 */
@property (nonatomic, strong) UIViewController *viewController;

/**
 Get a chat tab quickly
 */
+ (instancetype)chatTabWithTitle:(NSString *)title
                  viewController:(UIViewController *)viewController;

@end
