//
//  MXLinkConfig.h
//  ChatSDK
//
//  Created by Moxtra on 2018/3/28.
//  Copyright © 2018 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
/**
 The MXLinkConfig class provides some optional network configuration used in linking.
 */
@interface MXLinkConfig : NSObject

@property (nonatomic, copy, nullable) NSString *certOrganization;
@property (nonatomic, copy, nullable) NSString *certCommonName;
@property (nonatomic, assign, getter=isIgnoreOrNot) BOOL ignoreOrNot;

@end

NS_ASSUME_NONNULL_END
