//
//  MXMeetAppearance.h
//  ChatSDK
//
//  Created by Moxtra on 2018/7/2.
//  Copyright © 2018 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MXAppearanceManager.h"

@protocol MXAppearance;

@interface MXMeetAppearance : NSObject <MXAppearance>

/**
 Get meet appearance singleton
 */
+ (instancetype)sharedInstance;

#pragma mark - Unavailable
+ (instancetype)new UNAVAILABLE_ATTRIBUTE;
- (instancetype)init UNAVAILABLE_ATTRIBUTE;

@end
